<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13.0.1) on Tue May 19 17:25:06 EEST 2020 -->
<title>IRestaurantProcessing</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="declaration: package: bussinessLayer, interface: IRestaurantProcessing">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IRestaurantProcessing.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bussinessLayer</a></div>
<h1 title="Interface IRestaurantProcessing" class="title">Interface IRestaurantProcessing</h1>
</div>
<div class="contentContainer">
<section class="description">
<dl>
<dt>All Superinterfaces:</dt>
<dd><code>java.io.Serializable</code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">IRestaurantProcessing</span>
extends java.io.Serializable</pre>
</section>
<section class="summary">
<ul class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Abstract Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addMenuItem(bussinessLayer.MenuItem)">addMenuItem</a></span>&#8203;(<a href="MenuItem.html" title="interface in bussinessLayer">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code><a href="MenuItem.html" title="interface in bussinessLayer">MenuItem</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createMenuItem(java.lang.String,float)">createMenuItem</a></span>&#8203;(java.lang.String&nbsp;name,
float&nbsp;price)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code><a href="Order.html" title="class in bussinessLayer">Order</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createOrder(int,java.lang.String,int,java.util.ArrayList)">createOrder</a></span>&#8203;(int&nbsp;orderID,
java.lang.String&nbsp;date,
int&nbsp;tableNr,
java.util.ArrayList&lt;<a href="MenuItem.html" title="interface in bussinessLayer">MenuItem</a>&gt;&nbsp;orderItems)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteMenuItem(java.lang.String)">deleteMenuItem</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#editMenuItem(java.lang.String,float)">editMenuItem</a></span>&#8203;(java.lang.String&nbsp;name,
float&nbsp;price)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#orderTotalPrice(bussinessLayer.Order)">orderTotalPrice</a></span>&#8203;(<a href="Order.html" title="class in bussinessLayer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#writeBill(bussinessLayer.Order)">writeBill</a></span>&#8203;(<a href="Order.html" title="class in bussinessLayer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="createMenuItem(java.lang.String,float)">createMenuItem</a></h3>
<div class="memberSignature"><span class="returnType"><a href="MenuItem.html" title="interface in bussinessLayer">MenuItem</a></span>&nbsp;<span class="memberName">createMenuItem</span>&#8203;(<span class="arguments">java.lang.String&nbsp;name,
float&nbsp;price)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="editMenuItem(java.lang.String,float)">editMenuItem</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">editMenuItem</span>&#8203;(<span class="arguments">java.lang.String&nbsp;name,
float&nbsp;price)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addMenuItem(bussinessLayer.MenuItem)">addMenuItem</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">addMenuItem</span>&#8203;(<span class="arguments"><a href="MenuItem.html" title="interface in bussinessLayer">MenuItem</a>&nbsp;menuItem)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="deleteMenuItem(java.lang.String)">deleteMenuItem</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">deleteMenuItem</span>&#8203;(<span class="arguments">java.lang.String&nbsp;name)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="createOrder(int,java.lang.String,int,java.util.ArrayList)">createOrder</a></h3>
<div class="memberSignature"><span class="returnType"><a href="Order.html" title="class in bussinessLayer">Order</a></span>&nbsp;<span class="memberName">createOrder</span>&#8203;(<span class="arguments">int&nbsp;orderID,
java.lang.String&nbsp;date,
int&nbsp;tableNr,
java.util.ArrayList&lt;<a href="MenuItem.html" title="interface in bussinessLayer">MenuItem</a>&gt;&nbsp;orderItems)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="orderTotalPrice(bussinessLayer.Order)">orderTotalPrice</a></h3>
<div class="memberSignature"><span class="returnType">float</span>&nbsp;<span class="memberName">orderTotalPrice</span>&#8203;(<span class="arguments"><a href="Order.html" title="class in bussinessLayer">Order</a>&nbsp;order)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="writeBill(bussinessLayer.Order)">writeBill</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">writeBill</span>&#8203;(<span class="arguments"><a href="Order.html" title="class in bussinessLayer">Order</a>&nbsp;order)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IRestaurantProcessing.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
